#
# spec file for package python-ToscaWidgets
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-ToscaWidgets
Version:        0.9.12
Release:        2.5
Url:            http://toscawidgets.org/
Summary:        Web widget creation toolkit based on TurboGears widgets
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/T/ToscaWidgets/ToscaWidgets-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-Cheetah
Requires:       python-Genshi
Requires:       python-Mako
Requires:       python-Sphinx
Requires:       python-WebOb
Requires:       python-kid
Requires:       python-simplejson
Provides:       python-toscawidgets = %{version}
Obsoletes:      python-toscawidgets < %{version}
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
TW is a web widget toolkit for Python to aid in the creation, packaging and
distribution of common view elements normally used in the web.

These widgets are portable among any Python web-application framework or
application that supports the WSGI standard.

Several widget libraries exist which build on top of Toscawidgets to provide
form controls, sortable grids, maps, charts, etc.

%prep
%setup -q -n ToscaWidgets-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Jan 31 2012 saschpe@suse.de
- Initial version
